Bug 1665259 (CVE-2018-20551) - CVE-2018-20551 poppler: reachable Object::getString assertion in AnnotRichMedia class in Annot.c
Summary: CVE-2018-20551 poppler: reachable Object::getString assertion in AnnotRichMed...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-20551
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1677025 1665260 1665261 1690478
Blocks: 1665262
TreeView+ depends on / blocked
 
Reported: 2019-01-10 20:03 UTC by Laura Pardo
Modified: 2019-09-29 15:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 12:45:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2713 None None None 2019-09-11 09:33:13 UTC

Description Laura Pardo 2019-01-10 20:03:06 UTC
A flaw was found in Poppler 0.72.0. A reachable Object::getString assertion allows attackers to cause a denial of service due to construction of invalid rich media annotation assets in the AnnotRichMedia class in Annot.c.


References:
https://gitlab.freedesktop.org/poppler/poppler/issues/703

Upstream Patch:
https://gitlab.freedesktop.org/poppler/poppler/merge_requests/146

Comment 1 Laura Pardo 2019-01-10 20:03:23 UTC
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1665261]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1665260]

Comment 3 Scott Gayou 2019-02-13 19:29:30 UTC
Unable to reproduce this on Red Hat Enterprise Linux 5,6 or 7.

```
pdfdetach -save 1 poc1.pdf
Syntax Error: End of file inside dictionary
Syntax Warning: No valid XRef size in trailer
Syntax Error: Bad bounding box for annotation
Command Line Error: Invalid file number
```

Comment 6 errata-xmlrpc 2019-09-11 09:33:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2713 https://access.redhat.com/errata/RHSA-2019:2713

Comment 7 Product Security DevOps Team 2019-09-12 12:45:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20551


Note You need to log in before you can comment on or make changes to this bug.